@echo off
REM CMT [ARCHIVE NAME] [COMMENT NAME] [ARCHIVE FORMAT] [OPTIONS]
if "%1"=="" goto Syntax
if "%2"=="" goto Syntax
if not exist %1 echo Archive file was not found -- creating new file.
if not exist %2 goto NotFound
if exist %1 echo Scanning for file_id.diz . . .
if exist file_id.diz del file_id.diz
if "%3"=="ZIP" pkunzip %1 file_id.diz > nul
if "%3"=="ARJ" arj e %1 file_id.diz > nul
if "%3"=="ZOO" zoo e %1 file_id.diz > nul
if "%3"=="ARC" pkpak %1 file_id.diz > nul
comment.exe %1 %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel==4 goto Arc
if errorlevel==3 goto Zoo
if errorlevel==2 goto Arj
if errorlevel==1 goto Zip
echo Undefined Archive Format.
echo Errorlevel
goto Ending
:Syntax
echo Comment Stamper .3 eta
echo    by Night Hawk
echo Syntax:
echo    CMT [archive] [comment]   [archive type] [option(s)]
echo    CMT davis.zip comment.asc ZIP            -r
echo !!! Make sure the archive type is totally capitalized!!!
goto Ending
:Zip
cls
Pkzip %1 -z < delete.me
echo Comment Stamper .3 eta
goto Ending
:Arj
cls
Arj c %1 -z delete.me
goto Ending
:Zoo
cls
Zoo -c %1 < delete.me
goto Ending
:Arc
cls
PkPak -c %1 < delete.me 
goto Ending

:NotFound
cls
if not exist %2 echo Error!  %2 was not found by Comment Stamper.
echo %2

:Ending
if exist delete.me del delete.me
if exist file_id.diz del file_id.diz
